Bug 1148419 - The description of vm.swappiness need to be updated
Summary: The description of vm.swappiness need to be updated
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Performance_Tuning_Guide
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Charlie
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On: 1148414
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-01 12:30 UTC by Jerome Marchand
Modified: 2019-03-06 00:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1148414
Environment:
Last Closed: 2015-04-07 23:47:34 UTC


Attachments (Terms of Use)

Description Jerome Marchand 2014-10-01 12:30:04 UTC
+++ This bug was initially created as a clone of Bug #1148414 +++

Document URL: 
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Linux/6/html-single/Performance_Tuning_Guide/index.html

Section Number and Name: 
5.5. Tuning Virtual Memory

Describe the issue: 
The current description of vm.swappiness have two shortcomings:
 - it doesn't explain what swappiness really do: tune the trade-off between page cache and anonymous page. 
 - since rhel 6.4, swappiness==0 is more aggressive in avoiding swapping out. When the I/O activity is high, it increase risk of OOM killing.

Suggestions for improvement:

Current description:
    A value from 0 to 100 which controls the degree to which the system swaps. A high value prioritizes system performance, aggressively swapping processes out of physical memory when they are not active. A low value prioritizes interactivity and avoids swapping processes out of physical memory for as long as possible, which decreases response latency. The default value is 60. 

Proposed description:
    A value from 0 to 100 which controls the degree to which the system favour anonymous memory or the page cache. A high value improves file-system performance, while aggressively swapping less active processes out of RAM. 
A low value avoids swapping processes out of memory, which usually decrease latency, at the cost of I/O performance. The default value is 60.
Warning: Since RHEL 6.4, setting swappiness==0 will even more aggressively avoids swapping out, which increase the risk of OOM killing under strong memory and I/O pressure.


Additional information:

Comment 1 Jerome Marchand 2014-10-01 12:32:46 UTC
On RHEL 7, there is no need to mention the change that occurs in RHEL 6.4.

Proposed description:
    A value from 0 to 100 which controls the degree to which the system favour anonymous memory or the page cache. A high value improves file-system performance, while aggressively swapping less active processes out of RAM. 
A low value avoids swapping processes out of memory, which usually decrease latency, at the cost of I/O performance. The default value is 60.
Warning: Setting swappiness==0 will very aggressively avoids swapping out, which increase the risk of OOM killing under strong memory and I/O pressure.

Comment 3 Laura Bailey 2014-10-13 00:21:58 UTC
Thanks Jerome; marking this docs-async, as fixing it does not need to coincide with a specific release date.


Note You need to log in before you can comment on or make changes to this bug.